# TransactionPath

{% hint style="info" %}
Represents a single transaction path.
{% endhint %}

## Properties

| Name                          | Type                   | Description                                                                |
| ----------------------------- | ---------------------- | -------------------------------------------------------------------------- |
| `apps`                        | `App[]`                | Get all the apps for the path.                                             |
| `destination`                 | `App`                  | Get the destination of the transactions path.                              |
| `forwardingFeePretransaction` | `TransactionRequest[]` | Optional pre-transaction, needed with the forwarder fee interface.         |
| `transactions`                | `TransactionRequest[]` | List of transactions in the path, ready to be sent to an Ethereum library. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/transactionpath.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
